> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Deliveries

> List recent delivery attempts for an endpoint.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/webhooks/{webhook_id}/deliveries
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/webhooks/{webhook_id}/deliveries:
    get:
      tags:
        - Orgs Webhooks
      summary: List Webhook Deliveries
      description: List recent delivery attempts for an endpoint.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the webhook endpoint
          name: webhook_id
          in: path
        - schema:
            type: string
            enum:
              - PENDING
              - DELIVERED
              - FAILED
              - SKIPPED
          required: false
          name: status
          in: query
        - schema:
            $ref: '#/components/schemas/OrgWebhookEventIdSchema'
          required: false
          description: An event a delivery can carry
          name: event
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrgWebhookDeliverySchema'
components:
  schemas:
    OrgWebhookEventIdSchema:
      type: string
      enum:
        - ping
        - chat.assigned
        - contact.blocked
        - contact.unsubscribed
        - broadcast.failed
        - broadcast.bounced
        - broadcast.complained
        - broadcast.suppressed
      description: An event a delivery can carry
    OrgWebhookDeliverySchema:
      type: object
      properties:
        id:
          type: string
        webhook_id:
          type: string
        event:
          $ref: '#/components/schemas/OrgWebhookEventIdSchema'
        event_id:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - DELIVERED
            - FAILED
            - SKIPPED
        attempt:
          type: number
        next_attempt_at:
          type:
            - string
            - 'null'
          format: date-time
        response_status:
          type:
            - number
            - 'null'
        response_body:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
        duration_ms:
          type:
            - number
            - 'null'
        delivered_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - webhook_id
        - event
        - event_id
        - status
        - attempt
        - next_attempt_at
        - response_status
        - response_body
        - error
        - duration_ms
        - delivered_at
        - created_at
      description: One attempt series of one event against one endpoint
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````